<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">
    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="5dp"
        android:layout_marginRight="5dp"
        android:layout_marginBottom="15dp"
        android:layout_marginTop="15dp"
        android:padding="10dp"
        android:background="@drawable/background_gallery">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:layout_marginBottom="5dp">

            <com.google.android.material.imageview.ShapeableImageView
                android:id="@+id/gallery_listitem_user_badge"
                android:layout_width="40dp"
                android:layout_height="40dp"
                app:shapeAppearanceOverlay="@style/roundedImageViewRounded"
                app:srcCompat="@drawable/ic_user"
                android:visibility="gone"/>

            <TextView
                android:id="@+id/gallery_listitem_user_text_badge"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:background="@drawable/user_badge"
                android:gravity="center"
                android:textSize="20dp"
                style="@style/TextUserBadge"
                android:text="A"
                android:visibility="gone" />

            <TextView
                android:id="@+id/gallery_listitem_user_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:textColor="@color/colorAccent"
                android:textStyle="bold"
                android:text="User" />
        </LinearLayout>
        <ImageView
            android:id="@+id/gallery_listitem_image"
            android:layout_width="match_parent"
            android:layout_height="300dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:scaleType="centerCrop"
            app:srcCompat="@drawable/placeholder"
            android:background="@color/white_translucent"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:orientation="horizontal"
            android:gravity="center_vertical">
            <ImageView
                android:id="@+id/gallery_listitem_like_button"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:paddingTop="8dp"
                android:paddingBottom="7dp"
                android:paddingRight="7dp"
                android:paddingLeft="7dp"
                app:srcCompat="@drawable/ic_heart"
                app:tint="@color/color_gallery_button"
                android:background="@drawable/button_background_round"/>
            <TextView
                android:id="@+id/gallery_listitem_likes"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:layout_margin="10dp"
                android:lines="1"
                android:maxLines="1"
                android:ellipsize="end"
                android:textColor="@color/gallery_not_liked"
                android:text="20"/>
            <ImageView
                android:id="@+id/gallery_listitem_download_button"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:padding="7dp"
                app:srcCompat="@drawable/ic_download"
                app:tint="@color/colorAccentVeryLight"/>
            <ProgressBar
                android:id="@+id/gallery_listitem_share_progressbar"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:indeterminate="true"
                android:visibility="gone"/>
            <ImageView
                android:id="@+id/gallery_listitem_share_button"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:padding="7dp"
                app:srcCompat="@drawable/ic_menu_share"
                app:tint="@color/colorAccentVeryLight"/>

        </LinearLayout>

        <TextView
            android:id="@+id/gallery_listitem_description"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:layout_marginBottom="20dp"
            android:textAlignment="center"
            android:text="Description"/>

    </LinearLayout>

    <ProgressBar
        android:id="@+id/gallery_listitem_progress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="15dp"
        android:layout_gravity="center_horizontal"
        android:indeterminate="true"/>

</LinearLayout>